kr.co.hanwha.hifive.admin

## Class TestModeDialog

- java.lang.Object
- - android.app.Dialog
  - - kr.co.hanwha.hifive.admin.TestModeDialog

- All Implemented Interfaces:
    android.content.DialogInterface, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback

      public class TestModeDialog
      extends android.app.Dialog

  Created by sanghoonkwon on 2018. 2. 13..

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TestModeDialog.OnDialogCallback` Callback

    - ### Nested classes/interfaces inherited from interface android.content.DialogInterface

      `android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnKeyListener, android.content.DialogInterface.OnMultiChoiceClickListener, android.content.DialogInterface.OnShowListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) TestModeDialog.OnDialogCallback` | `mCallback`
    `private android.widget.LinearLayout` | `mLayoutDev`
    `private android.widget.LinearLayout` | `mLayoutLocal`
    `private android.widget.LinearLayout` | `mLayoutReal`
    `private HFApplication.SERVER_TYPE` | `mType`
    `(package private) android.view.View.OnClickListener` | `onClickListener` View.OnClickListener

    - ### Fields inherited from interface android.content.DialogInterface

      `BUTTON_NEGATIVE, BUTTON_NEUTRAL, BUTTON_POSITIVE, BUTTON1, BUTTON2, BUTTON3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestModeDialog(android.content.Context context)`
    `TestModeDialog(android.content.Context context, int themeResId)`
    `TestModeDialog(android.content.Context context, TestModeDialog.OnDialogCallback callback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onCreate(android.os.Bundle savedInstanceState)`
    `private void` | `setType(HFApplication.SERVER_TYPE type)`

    - ### Methods inherited from class android.app.Dialog

      `addContentView, cancel, closeOptionsMenu, create, dismiss, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, getActionBar, getContext, getCurrentFocus, getLayoutInflater, getOwnerActivity, getSearchEvent, getVolumeControlStream, getWindow, hide, invalidateOptionsMenu, isShowing, onActionModeFinished, onActionModeStarted, onAttachedToWindow, onBackPressed, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onDetachedFromWindow, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPrepareOptionsMenu, onPreparePanel, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStart, onStop, onTouchEvent, onTrackballEvent, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, registerForContextMenu, requestWindowFeature, setCancelable, setCanceledOnTouchOutside, setCancelMessage, setContentView, setContentView, setContentView, setDismissMessage, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setOnCancelListener, setOnDismissListener, setOnKeyListener, setOnShowListener, setOwnerActivity, setTitle, setTitle, setVolumeControlStream, show, takeKeyEvents, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface android.view.Window.Callback

      `onPointerCaptureChanged, onProvideKeyboardShortcuts`

- - ### Field Detail

    - #### mType

          private HFApplication.SERVER_TYPE mType

    - #### mLayoutReal

          private android.widget.LinearLayout mLayoutReal

    - #### mLayoutDev

          private android.widget.LinearLayout mLayoutDev

    - #### mLayoutLocal

          private android.widget.LinearLayout mLayoutLocal

    - #### mCallback

          TestModeDialog.OnDialogCallback mCallback

    - #### onClickListener

          android.view.View.OnClickListener onClickListener

      View.OnClickListener

  - ### Constructor Detail

    - #### TestModeDialog

          public TestModeDialog(@NonNull
                                android.content.Context context)

    - #### TestModeDialog

          public TestModeDialog(@NonNull
                                android.content.Context context,
                                @StyleRes
                                int themeResId)

    - #### TestModeDialog

          public TestModeDialog(@NonNull
                                android.content.Context context,
                                @Nullable
                                TestModeDialog.OnDialogCallback callback)

  - ### Method Detail

    - #### onCreate

          protected void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.app.Dialog`

    - #### setType

          private void setType(HFApplication.SERVER_TYPE type)